Package skyview.geometry.projecter

# Class Tan

java.lang.Object
skyview.geometry.Transformer
skyview.geometry.Projecter
skyview.geometry.projecter.Tan

All Implemented Interfaces:
  `Serializable`, `Component`

Direct Known Subclasses:
  `Xtn`

public class Tan extends Projecter

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`class`
`Tan.TanDeproj`

## Constructor Summary

Constructors
Constructor
Description
`Tan()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`allValid()`
The entire projection plane is valid
`String`
`getDescription()`
Get a description of the component
`String`
`getName()`
Get the name of the compontent
`Deprojecter`
`inverse()`
Get the inverse transformation
`boolean`
`isInverse(Transformer t)`
Is this an inverse of some other transformation?
`double[]`
`tissot(double x, double y)`
Get the Tissot parameters.
`final void`
`transform(double[] sphere, double[] plane)`
Project a point from the sphere to the plane.

### Methods inherited from class skyview.geometry.Projecter

`getInputDimension, getOutputDimension, getXTiling, getYTiling, shadowPoint, straddle, straddleable, straddleComponents, validPosition`

### Methods inherited from class skyview.geometry.Transformer

`transform, transform`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Tan

public Tan()

## Method Details

### getName

public String getName()
Get the name of the compontent

### getDescription

public String getDescription()
Get a description of the component

### allValid

public boolean allValid()
The entire projection plane is valid

Overrides:
  `allValid` in class `Projecter`

### transform

public final void transform(double[] sphere, double[] plane)
Project a point from the sphere to the plane.

Specified by:
  `transform` in class `Transformer`
Parameters:
  `sphere` - a double[3] unit vector
  `plane` - a double[2] preallocated vector.

### inverse

public Deprojecter inverse()
Get the inverse transformation

Specified by:
  `inverse` in class `Projecter`

### isInverse

public boolean isInverse(Transformer t)
Is this an inverse of some other transformation?

Specified by:
  `isInverse` in class `Transformer`

### tissot

public double[] tissot(double x, double y)
Get the Tissot parameters.

Overrides:
  `tissot` in class `Projecter`
Parameters:
  `x` - The X-value at which the Tissot indicatrix is to be calculated.
  `y` - The Y-value at which the Tissot indicatrix is to be calculated.
Returns:
  A three element double vector [Semimajor, semiminor, position angle] with the axes size and positional angle of the ellipse.